Table of Contents

## Name

im_mean_std_double_buffer, im_mean_std_int_buffer - calculates the mean and the std of data held by a by an int or double buffer

## Synopsis

#include <vips/vips.h>

int im_mean_std_int_buffer(buf, size, mean, std)
int *buf;
int size;
double *mean, *std;

int im_mean_std_double_buffer(buf, size, mean, std)
double *buf;
int size;
double *mean, *std;

## Description

im_mean_std_int_buffer() and im_mean_std_double_buffer() calculate the mean and the standard deviation (std) of data held by the integer or double buffer buf. The buffer has size elements. The results are returned to the locations pointed by mean and std. It is the responsibility of the calling function to ensure that there is enough data in the buffer.

## Return Value

Both functions returns 0 on success and -1 on error.

## See Also

im_avg(3X) , im_stats(3X) .

## Copyright

N. Dessipris

## Author

N. Dessipris - 10/05/1991

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- SeeAlso
- Copyright
- Author